Subject: Re: [nfsv4] comments on draft-welch-pnfs-ops-00.txt

From: Brent Welch <[email-masked]>
Date: Mon, 06 Dec 2004 14:06:17 -0800

Two things.  First, when I read "storage management protocol" now I
see that it is heavily overloaded and so probably not the best term.
It is the protocol required between the pNFS metadata server and
its storage devices so that the layout information given to clients
makes sense, and so that security and access control is enforced.
It is not, strictly speaking, solving the standard "storage management"
issues like creating filesystems, LUNs, reconstruction, etc. etc.
Of course, all that has to happen, somehow, but is not what I'm getting at.

I also agree absolutely with Spencer that we need to see the complete
set of protocols fleshed out so we believe this all hangs together.
By "out of scope" I was trying to draw a line between separate but
cooperating protocols. Again, this goes to the point of being able
to have, e.g., object storage as well as file storage.  The
server-to-device protocol is going to be different in those two
scenarios.  We had thought there would be different protocol drafts 
that specify the client-to-storage protocols and the server-to-storage
protocols.  By approaching it this way we make our life more complicated,
but we allow for different storage protocols.

>>>Spencer Shepler said:
 > On Fri, Noveck, Dave wrote:
 > > 
 > > Spencer wrote:
 > > > Secondly, this discussion appears to have a lot of the "how is it
 > > > coordinated" text and it concerns me that if the backend behavior and
 > > > capabilities are not reasonably understood that the client->server
 > > > result will be unsatisfactory.
 > > 
 > > I do agree that when we describe how a storage protocol will work we 
need
 > > to have a mental model of how, in general, it is expected that the 
storage
 > > management protocol will work.  And in order to make sure that 
everybody
 > > has the same mental model it helps to write it down.  I think the 
document
     s
 > > that describe storage protocols should keep that in mind.
 > 
 > 
 > I would like to think that the essence of my comments about the server
 > management protocol was to "keep the open mind".  I know the effort to
 > define the individual draft submitted by Brent W. has been going on
 > for awhile and there has been good discussion so far.  However, the
 > conversation has moved to the NFSv4 WG and there will be additional
 > people and further ideas.  Initially, let's keep the discussion open
 > or at least manage it in a way as to foster the best chance for usable
 > proposals.
 > 
 > Specifically, Dave Noveck's suggestion of a model of operation for the
 > storage management protocol is good.  I see that as a minimum and if
 > more is done, all the better.

--
Brent Welch
Software Architect, Panasas Inc
Delivering the premier storage system for scalable Linux clusters

www.panasas.com
[email-masked]

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4